[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] Fw: [e-users] compiling ecore on a system running 2.4.x kernel



On 8/17/06, Stafford Horne <shorne@softhome.net> wrote:
Hello,

I had this conversation on the E Users list and got no response.  Basically some users are complaining that ecore doesn't build on some systems unless you disable ecore-fb.

My opinion is that we should disable ecore-fb by default until someone fixes the ecore-fb section of the configure.in to correctly detect the linux event header files.

I have already made the code change on my system and I am ready to commit it.  Does anyone have any objections? Is anyone going to have serious problems if I disable ecore-fb by default?

hi,
im the responsible for this, in fact i knew this was going to happen
soon or later. the problem is that i cant test with every kernel
headers, is the same as a library dependency, i need to check from
what kernel version everything  compiles ok. i think i should joind
the e users list :)
im trying to fix it, also including a patch from the dev list, any
feedback will be appreciated. so if you want to make ecore compile
flawless on those systems NOW its ok if you change the configure.in,
ill fix it soon anyway.


-Stafford

On Tue, 15 Aug 2006 22:38:47 +0900 (JST)
Yasufumi Haga <yasufumi.haga@nifty.com> wrote:

> On Tue, 15 Aug 2006 20:14:51 +0800,
>    Stafford Horne <shorne@softhome.net> wrote:
>
> | On Mon, 14 Aug 2006 00:09:37 +0900 (JST)
> | Yasufumi Haga <yasufumi.haga@nifty.com> wrote:
> |
> | > I'm trying to compile the latest ecore on my system
> | > running 2.4.32 kernel, but it fails because there's
> | > no symbol like `EV_SYN', `EV_FF_STATUS' or `EV_PWR'

the evdev system is also included in 2.4 kernels, would like to have
the actual output to maybe fake those defines or make conditionals on
the source.


> | > in my system. They seem to be defined in a kernel
> | > higher than 2.5.x.
> | >
> | > Following to the info in E-users ML archive, I specified
> | > --disable-ecore-evas-fb option and
> | > --disable-ecore-fb option to autogen.sh to compile
> | > ecore successfully on my 2.4.32 kernel system.
> | >
> | > Is it a proper way? Are there any other solutions?
> | > ...except for upgrading the version of the kernel:)
> |
> | This is the way that I am getting around this problem.  I am also getting this error and I am using the a late kernel 2.6.28.

im curious about the kernel 2.6.28 does it exists?

> |
> | The real problem is that the person who added the fb changes did not correctly setup the configure.in to make sure builders have the required headers before building the fb code.  I suggest that for now we just set fb to OFF by default in the configure.in.
> |
> | Does anybody object to turning off Ecore_FB by default until someone fixes the configure.in? Of course it could still be enabled by doing --enable-ecore-fb.
>
> It sounds good to me :)
>
>
> ---
> "Thank you for telling me the truth."  --- HAL9000 in "2010"
>  Yasufumi Haga   yasufumi.haga@nifty.com
>                  http://homepage3.nifty.com/peterpan/
>  fingerprint:0EFA 299A BC32 7D68 1FEF  BA2B 804E 9B15 C4F0 F9F0
>
> -------------------------------------------------------------------------
> Using Tomcat but need to do more? Need to support web services, security?
> Get stuff done quickly with pre-integrated technology to make your job easier
> Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
> http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
> _______________________________________________
> enlightenment-users mailing list
> enlightenment-users@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/enlightenment-users
>


--
                        Stafford M. Horne
Senior Engineer                                 高级工程师
SurfControl plc                                 美讯智科技
Peoples Republic of China, Beijing              中华人民共和国, 北京
Mobile: +86 13611014044                         手机:+86 13611014044

        (Website) http://shorne.homelinux.com/wordpress (网站)
-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
enlightenment-devel mailing list
enlightenment-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/enlightenment-devel